Skip to main content
GET
/
applications
List onboarding applications
curl --request GET \
  --url https://api.equalsmoney.com/v2/applications \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "status": "DRAFT",
      "accountId": "F50091",
      "configurationId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
      "market": "UK",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "type": "PRIVATE_COMPANY",
      "countryOfIncorporation": "GB",
      "regionOfIncorporation": "string",
      "registeredName": "Equals Money Plc",
      "registrationNumber": "05539698",
      "tradingNames": [
        "Equals Railsr"
      ],
      "businessOverview": "We are a small business that provides financial services to small businesses.",
      "industry": {
        "main": "ACCOMMODATION_FOOD",
        "sub": "ACCOMMODATION"
      },
      "employeeCount": "ONE_TO_TEN",
      "incorporationDate": "2020-01-01",
      "phoneNumber": "+447911123456",
      "taxId": "GB123456789",
      "website": "https://equals.money",
      "businessPromotionDescription": "We send out leaflets in the post.",
      "associatedPeople": [
        {
          "associatedPersonId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
          "associationType": "APPLICANT",
          "jobTitle": "Director"
        }
      ],
      "featureInformation": {
        "requestedFeatures": [
          "PAYMENTS"
        ],
        "cardsInformation": {
          "businessDisplayName": "CUSTOMER",
          "purposes": [
            "ADVERTISING_AND_MARKETING"
          ],
          "estimatedAnnualSpend": "0-10000",
          "numberOfCardsRequired": "0-10",
          "cardsAreForEmployees": true,
          "atmWithdrawalsRequired": true
        },
        "paymentsInformation": {
          "purposes": [
            "PAYING_SUPPLIERS"
          ],
          "accountFundingSource": [
            "RECEIVING_FUNDS_FROM_OWN_ACCOUNTS"
          ],
          "estimatedPaymentCount": "5-20",
          "estimatedPaymentVolume": "0-10000",
          "inboundCurrencies": [
            "USD"
          ],
          "outboundCurrencies": [
            "USD"
          ],
          "receivingCountries": [
            "GB"
          ],
          "sendingCountries": [
            "GB"
          ]
        }
      },
      "addresses": [
        {
          "addressType": "REGISTERED",
          "streetName": "Upper Thames Street",
          "buildingNumber": "68",
          "buildingName": "Vintners Place",
          "postcode": "EC4V 3BJ",
          "city": "London",
          "region": "Greater London",
          "countryCode": "GB"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

status
enum<string>

Filter by application status. Use commas to pass multiple values. Has to be URL encoded.

Available options:
DRAFT,
SUBMITTED,
APPROVED,
REJECTED
Example:

"DRAFT%2CSUBMITTED"

type
enum<string>

Filter by application type. Use commas to pass multiple values. Has to be URL encoded.

Available options:
PRIVATE_COMPANY,
SOLE_TRADER,
PUBLIC_COMPANY_LISTED,
PUBLIC_COMPANY_UNLISTED,
PARTNERSHIP,
CHARITY,
NON_PROFIT,
SOCIAL_ENTERPRISE,
PENSION,
FUND,
TRUST,
SEGREGATED_PORTFOLIO_COMPANY,
OTHER,
INDIVIDUAL
Example:

"PRIVATE_COMPANY%2CINDIVIDUAL"

Search applications by registered name, registration number, first name, last name, or email.

Example:

"Equals Money"

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
(BusinessApplication · object | PersonalApplication · object)[]
required

List of applications matching the query criteria.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100